## pentobi 22.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

project(pentobi CXX)
set(PENTOBI_VERSION 22.1)
set(PENTOBI_RELEASE_DATE 2023-01-31)

include(GNUInstallDirs)

option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
option(PENTOBI_BUILD_GUI "Build GUI" ON)
option(BUILD_TESTING "Build tests" OFF)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "No build type selected, default to Release")
  set(CMAKE_BUILD_TYPE Release CACHE STRING "" FORCE)
endif()

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(BUILD_TESTING)
  enable_testing()
endif()

if(UNIX)
  add_custom_target(dist
    COMMAND git archive --prefix=pentobi-${PENTOBI_VERSION}/ HEAD
    | xz -e > ${CMAKE_BINARY_DIR}/pentobi-${PENTOBI_VERSION}.tar.xz
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif()

find_package(Threads)
add_subdirectory(libboardgame_base)
add_subdirectory(libboardgame_mcts)
add_subdirectory(libpentobi_base)
add_subdirectory(libpentobi_mcts)
if(BUILD_TESTING)
    add_subdirectory(libboardgame_test)
endif()
if(PENTOBI_BUILD_GTP)
    add_subdirectory(libboardgame_gtp)
    add_subdirectory(libpentobi_gtp)
    add_subdirectory(pentobi_gtp)
    if(UNIX)
        add_subdirectory(twogtp)
    else()
        message(STATUS "Not building twogtp, needs POSIX")
    endif()
    add_subdirectory(learn_tool)
endif()
if(PENTOBI_BUILD_GUI)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_AUTORCC ON)
    find_package(Gettext 0.19.6 REQUIRED)
    find_program(ITSTOOL itstool REQUIRED)
    find_program(RSVG_CONVERT rsvg-convert REQUIRED)
    if((UNIX AND NOT ANDROID))
        find_package(DocBookXSL REQUIRED)
        find_program(XSLTPROC xsltproc REQUIRED)
    endif()
    find_package(Qt6 6.2 REQUIRED
        COMPONENTS Concurrent LinguistTools QuickControls2)
    add_subdirectory(libpentobi_paint)
    add_subdirectory(pentobi)
    if(UNIX AND NOT ANDROID)
        add_subdirectory(pentobi_thumbnailer)
    endif()
endif()

=== libboardgame_base/CMakeLists.txt ===
add_library(boardgame_base STATIC
    ArrayList.h
    Assert.h
    Assert.cpp
    Compiler.h
    CoordPoint.h
    CoordPoint.cpp
    CpuTime.h
    CpuTime.cpp
    CpuTimeSource.h
    CpuTimeSource.cpp
    FmtSaver.h
    Geometry.h
    GeometryUtil.h
    Grid.h
    IntervalChecker.h
    IntervalChecker.cpp
    Log.h
    Log.cpp
    Marker.h
    MathUtil.h
    Memory.h
    Memory.cpp
    Options.h
    Options.cpp
    Point.h
    PointTransform.h
    RandomGenerator.h
    RandomGenerator.cpp
    Range.h
    Rating.h
    Rating.cpp
    Reader.h
    Reader.cpp
    RectGeometry.h
    RectTransform.h
    RectTransform.cpp
    SgfError.h
    SgfError.cpp
    SgfNode.h
    SgfNode.cpp
    SgfTree.h
    SgfTree.cpp
    SgfUtil.h
    SgfUtil.cpp
    Statistics.h
    StringRep.h
    StringRep.cpp
    StringUtil.h
    StringUtil.cpp
    Timer.h
    Timer.cpp
    TimeSource.h
    TimeSource.cpp
    Transform.h
    Transform.cpp
    TreeReader.h
    TreeReader.cpp
    TreeWriter.h
    TreeWriter.cpp
    WallTimeSource.h
    WallTimeSource.cpp
    Writer.h
    Writer.cpp
    )

target_compile_options(boardgame_base PUBLIC
    "$<$<CONFIG:DEBUG>:-DLIBBOARDGAME_DEBUG>")

if(ANDROID)
    target_link_libraries(boardgame_base INTERFACE debug log)
endif()

target_include_directories(boardgame_base PUBLIC ..)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== libboardgame_gtp/CMakeLists.txt ===
add_library(boardgame_gtp STATIC
  Arguments.h
  Arguments.cpp
  CmdLine.h
  CmdLine.cpp
  GtpEngine.h
  GtpEngine.cpp
  Failure.h
  Response.h
  Response.cpp
)

target_include_directories(boardgame_gtp PUBLIC ..)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== libpentobi_paint/CMakeLists.txt ===
add_library(pentobi_paint STATIC
Paint.cpp
Paint.h
)

target_compile_definitions(pentobi_paint PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000)

target_link_libraries(pentobi_paint pentobi_base Qt::Gui)

=== pentobi/CMakeLists.txt ===
qt_add_translation(pentobi_QM
    qml/i18n/qml_de.ts
    qml/i18n/qml_es.ts
    qml/i18n/qml_fr.ts
    qml/i18n/qml_nb_NO.ts
    qml/i18n/qml_ru.ts
    qml/i18n/qml_zh_CN.ts
    OPTIONS -removeidentical -nounfinished
    )
add_custom_command(
    OUTPUT translations.qrc
    COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/qml/i18n/translations.qrc" .
    DEPENDS qml/i18n/translations.qrc ${pentobi_QM}
    )

# Images and icons to be used with QtQuick Image. Here we use a sourceSize four
# times larger than the device-indepenent size to support high-dpi images.
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/icon")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qml/icons")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qml/themes/dark")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qml/themes/light")
set(pentobi_images
    icon/pentobi-48
    qml/icons/filedialog-folder
    qml/themes/dark/menu
    qml/themes/dark/menu-desktop
    qml/themes/dark/pentobi-backward
    qml/themes/dark/pentobi-backward10
    qml/themes/dark/pentobi-beginning
    qml/themes/dark/pentobi-computer-colors
    qml/themes/dark/pentobi-end
    qml/themes/dark/pentobi-forward
    qml/themes/dark/pentobi-forward10
    qml/themes/dark/pentobi-newgame
    qml/themes/dark/pentobi-next-variation
    qml/themes/dark/pentobi-play
    qml/themes/dark/pentobi-previous-variation
    qml/themes/dark/pentobi-rated-game
    qml/themes/dark/pentobi-stop
    qml/themes/dark/pentobi-undo
    qml/themes/dark/piece-manipulator-desktop
    qml/themes/dark/piece-manipulator-desktop-legal
    qml/themes/dark/piece-manipulator
    qml/themes/dark/piece-manipulator-legal
    qml/themes/light/menu
    qml/themes/light/menu-desktop
    qml/themes/light/pentobi-backward
    qml/themes/light/pentobi-backward10
    qml/themes/light/pentobi-beginning
    qml/themes/light/pentobi-computer-colors
    qml/themes/light/pentobi-end
    qml/themes/light/pentobi-forward
    qml/themes/light/pentobi-forward10
    qml/themes/light/pentobi-newgame
    qml/themes/light/pentobi-next-variation
    qml/themes/light/pentobi-play
    qml/themes/light/pentobi-previous-variation
    qml/themes/light/pentobi-rated-game
    qml/themes/light/pentobi-stop
    qml/themes/light/pentobi-undo
    qml/themes/light/piece-manipulator-desktop
    qml/themes/light/piece-manipulator-desktop-legal
    qml/themes/light/piece-manipulator
    qml/themes/light/piece-manipulator-legal
    )
foreach(image ${pentobi_images})
    add_custom_command(OUTPUT "${image}.png"
        COMMAND "${RSVG_CONVERT}" -x 4 -y 4
        "${CMAKE_CURRENT_SOURCE_DIR}/${image}.svg" > "${image}.png"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/${image}.svg"
        )
    list(APPEND images_png "${image}.png")
endforeach()
add_custom_command(
    OUTPUT icons.qrc
    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/icons.qrc" .
    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons.qrc" ${images_png}
    )

# Icons to be used with QtQuickControls2 ToolButton.icon. Here we cannot
# specify a sourceSize different from size, so we use a custom icon theme to
# support high-dpi icons.
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/icons/pentobi/16x16")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/icons/pentobi/16x16@2")
set(pentobi_icons
    filedialog-newfolder
    filedialog-parent
    )
foreach(icon ${pentobi_icons})
    add_custom_command(OUTPUT "icons/pentobi/16x16/${icon}.png"
        COMMAND "${RSVG_CONVERT}"
        "${CMAKE_CURRENT_SOURCE_DIR}/icons/${icon}.svg"
        > "icons/pentobi/16x16/${icon}.png"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons/${icon}.svg"
        )
    list(APPEND icons_png "icons/pentobi/16x16/${icon}.png")
    add_custom_command(OUTPUT "icons/pentobi/16x16@2/${icon}.png"
        COMMAND "${RSVG_CONVERT}" -x 2 -y 2
        "${CMAKE_CURRENT_SOURCE_DIR}/icons/${icon}.svg"
        > "icons/pentobi/16x16@2/${icon}.png"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons/${icon}.svg"
        )
    list(APPEND icons_png "icons/pentobi/16x16@2/${icon}.png")
endforeach()
add_custom_command(
    OUTPUT icons_desktop.qrc
    COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/icons_desktop.qrc" .
    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons_desktop.qrc" ${images_png}
    ${icons_png}
    )

set(pentobi_src
    AnalyzeGameModel.h
    AnalyzeGameModel.cpp
    AndroidUtils.h
    AndroidUtils.cpp
    DocbookReader.h
    DocbookReader.cpp
    GameModel.h
    GameModel.cpp
    ImageProvider.h
    ImageProvider.cpp
    Main.cpp
    PieceModel.h
    PieceModel.cpp
    PlayerModel.h
    PlayerModel.cpp
    RatingModel.h
    RatingModel.cpp
    RecentFiles.h
    RecentFiles.cpp
    SyncSettings.h
    "${CMAKE_CURRENT_BINARY_DIR}/translations.qrc"
    "${CMAKE_CURRENT_BINARY_DIR}/icons.qrc"
    "${CMAKE_CURRENT_BINARY_DIR}/help/help.qrc"
    ../opening_books/pentobi_books.qrc
    resources.qrc
    )
if (WIN32)
    list(APPEND pentobi_src "windows/pentobi.rc")
endif()

add_custom_command(
    OUTPUT help/help.qrc
    COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/help/help.qrc" help
    DEPENDS pentobi-help help/help.qrc
    )

if(ANDROID)
    qt_add_executable(pentobi ${pentobi_src})
    target_link_libraries(pentobi PRIVATE Qt::CorePrivate)
    set_property(TARGET pentobi APPEND PROPERTY
        QT_ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
else()
    add_executable(pentobi WIN32
        ${pentobi_src}
        "${CMAKE_CURRENT_BINARY_DIR}/icons_desktop.qrc"
        resources_desktop.qrc
        )
    install(TARGETS pentobi)
endif()

target_compile_definitions(pentobi PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
    QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    VERSION="${PENTOBI_VERSION}"
    )

target_link_libraries(pentobi PRIVATE
    pentobi_paint
    pentobi_mcts
    Qt::Concurrent
    Qt::Qml
    Qt::QuickControls2
    Threads::Threads
    )

add_subdirectory(help)
if(UNIX AND NOT ANDROID)
    add_subdirectory(unix)
endif()

=== pentobi_thumbnailer/CMakeLists.txt ===
set(CMAKE_AUTORCC ON)

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/po/LINGUAS" linguas)
string(REGEX REPLACE "\n" ";" linguas "${linguas}")

set(man_files "pentobi-thumbnailer.6")
foreach(lang ${linguas})
    list(APPEND man_files ${lang}/pentobi-thumbnailer.6)
endforeach()

foreach(lang ${linguas})
    add_custom_command(OUTPUT ${lang}.mo
        COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" -o ${lang}.mo
        "${CMAKE_CURRENT_SOURCE_DIR}/po/${lang}.po"
        DEPENDS po/${lang}.po
        )
    list(APPEND po_files po/${lang}.po)
    list(APPEND mo_files ${lang}.mo)
endforeach()

qt_add_translation(pentobi_thumbnailer_QM
    i18n/de.ts
    i18n/es.ts
    i18n/ru.ts
    OPTIONS -removeidentical -nounfinished
    )
add_custom_command(
    OUTPUT "translations.qrc"
    COMMAND ${CMAKE_COMMAND} -E copy
    ${CMAKE_CURRENT_SOURCE_DIR}/i18n/translations.qrc .
    DEPENDS i18n/translations.qrc ${pentobi_thumbnailer_QM}
    )

add_executable(pentobi-thumbnailer
    CreateThumbnail.h
    CreateThumbnail.cpp
    Main.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc
    ${man_files}
    )

target_link_libraries(pentobi-thumbnailer pentobi_paint)

target_compile_definitions(pentobi-thumbnailer PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
    VERSION="${PENTOBI_VERSION}"
    )

configure_file(pentobi.thumbnailer.in pentobi.thumbnailer @ONLY)

install(TARGETS pentobi-thumbnailer)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.thumbnailer
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/thumbnailers)

# Man page

configure_file(pentobi-thumbnailer-manpage.docbook.in
    pentobi-thumbnailer-manpage.docbook @ONLY)
add_custom_command(OUTPUT pentobi-thumbnailer.6
    COMMAND "${XSLTPROC}" --nonet --novalid --path "${DOCBOOKXSL_DIR}/manpages"
    "${CMAKE_CURRENT_SOURCE_DIR}/../pentobi/unix/manpage.xsl"
    pentobi-thumbnailer-manpage.docbook
    DEPENDS
    "${CMAKE_CURRENT_BINARY_DIR}/pentobi-thumbnailer-manpage.docbook"
    ../pentobi/unix/manpage.xsl
)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-thumbnailer.6"
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man6")
foreach(lang ${linguas})
    add_custom_command(OUTPUT ${lang}/pentobi-thumbnailer-manpage.docbook
        COMMAND ${CMAKE_COMMAND} -E make_directory ${lang}
        COMMAND "${ITSTOOL}" -l ${lang} -m ${lang}.mo
        -o ${lang}/pentobi-thumbnailer-manpage.docbook
        -i "${CMAKE_CURRENT_SOURCE_DIR}/../pentobi/unix/manpage.its"
        pentobi-thumbnailer-manpage.docbook
        DEPENDS ${lang}.mo "${CMAKE_CURRENT_BINARY_DIR}/pentobi-thumbnailer-manpage.docbook"
        )
    add_custom_command(OUTPUT ${lang}/pentobi-thumbnailer.6
        COMMAND "${XSLTPROC}" --nonet --novalid
        --path "${DOCBOOKXSL_DIR}/manpages" -o ${lang}/
        "${CMAKE_CURRENT_SOURCE_DIR}/../pentobi/unix/manpage.xsl"
        ${lang}/pentobi-thumbnailer-manpage.docbook
        DEPENDS
        "${CMAKE_CURRENT_BINARY_DIR}/${lang}/pentobi-thumbnailer-manpage.docbook"
        ../pentobi/unix/manpage.xsl
        )
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${lang}/pentobi-thumbnailer.6"
        DESTINATION "${CMAKE_INSTALL_MANDIR}/${lang}/man6")
endforeach()

=== pentobi/unix/CMakeLists.txt ===
# Binary gettext files

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/po/LINGUAS" linguas)
string(REGEX REPLACE "\n" ";" linguas "${linguas}")

foreach(lang ${linguas})
    add_custom_command(OUTPUT ${lang}.mo
        COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" -o ${lang}.mo
        "${CMAKE_CURRENT_SOURCE_DIR}/po/${lang}.po"
        DEPENDS po/${lang}.po
        )
    list(APPEND po_files po/${lang}.po)
    list(APPEND mo_files ${lang}.mo)
endforeach()

# Icons

foreach(sz 16 22 48 128)
    add_custom_command(OUTPUT pentobi-${sz}.png
        COMMAND "${RSVG_CONVERT}"
        "${CMAKE_CURRENT_SOURCE_DIR}/../icon/pentobi-${sz}.svg"
        > pentobi-${sz}.png
        DEPENDS ../icon/pentobi-${sz}.svg)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-${sz}.png"
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/${sz}x${sz}/apps
        RENAME pentobi.png)
endforeach()
add_custom_command(OUTPUT pentobi-24.png
    COMMAND "${RSVG_CONVERT}" -z 0.5
    "${CMAKE_CURRENT_SOURCE_DIR}/../icon/pentobi-48.svg"
    > pentobi-24.png
    DEPENDS ../icon/pentobi-48.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-24.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/24x24/apps
    RENAME pentobi.png)
add_custom_command(OUTPUT pentobi-32.png
    COMMAND "${RSVG_CONVERT}" -z 0.25
    "${CMAKE_CURRENT_SOURCE_DIR}/../icon/pentobi-128.svg"
    > pentobi-32.png
    DEPENDS ../icon/pentobi-128.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-32.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps
    RENAME pentobi.png)
add_custom_command(OUTPUT pentobi-64.png
    COMMAND "${RSVG_CONVERT}" -z 0.5
    "${CMAKE_CURRENT_SOURCE_DIR}/../icon/pentobi-128.svg"
    > pentobi-64.png
    DEPENDS ../icon/pentobi-128.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-64.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
    RENAME pentobi.png)
add_custom_command(OUTPUT pentobi-256.png
    COMMAND "${RSVG_CONVERT}" -z 2
    "${CMAKE_CURRENT_SOURCE_DIR}/../icon/pentobi-128.svg"
    > pentobi-256.png
    DEPENDS ../icon/pentobi-128.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-256.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/apps
    RENAME pentobi.png)
install(FILES ../icon/pentobi-128.svg
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps
    RENAME pentobi.svg)

foreach(sz 16 22 48 128)
    add_custom_command(OUTPUT application-x-blokus-sgf-${sz}.png
        COMMAND "${RSVG_CONVERT}"
        "${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-${sz}.svg"
        > application-x-blokus-sgf-${sz}.png
        DEPENDS application-x-blokus-sgf-${sz}.svg)
    install(
        FILES "${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-${sz}.png"
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/${sz}x${sz}/mimetypes
        RENAME application-x-blokus-sgf.png)
endforeach()
add_custom_command(OUTPUT application-x-blokus-sgf-24.png
    COMMAND "${RSVG_CONVERT}" -z 0.5
    "${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-48.svg"
    > application-x-blokus-sgf-24.png
    DEPENDS application-x-blokus-sgf-48.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-24.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/24x24/mimetypes
    RENAME application-x-blokus-sgf.png)
add_custom_command(OUTPUT application-x-blokus-sgf-32.png
    COMMAND "${RSVG_CONVERT}" -z 0.25
    "${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-128.svg"
    > application-x-blokus-sgf-32.png
    DEPENDS application-x-blokus-sgf-128.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-32.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/mimetypes
    RENAME application-x-blokus-sgf.png)
add_custom_command(OUTPUT application-x-blokus-sgf-64.png
    COMMAND "${RSVG_CONVERT}" -z 0.5
    "${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-128.svg"
    > application-x-blokus-sgf-64.png
    DEPENDS application-x-blokus-sgf-128.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-64.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/mimetypes
    RENAME application-x-blokus-sgf.png)
add_custom_command(OUTPUT application-x-blokus-sgf-256.png
    COMMAND "${RSVG_CONVERT}" -z 2
    "${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-128.svg"
    > application-x-blokus-sgf-256.png
    DEPENDS application-x-blokus-sgf-128.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-256.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/mimetypes
    RENAME application-x-blokus-sgf.png)
install(FILES application-x-blokus-sgf-128.svg
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/mimetypes
    RENAME application-x-blokus-sgf.svg)

# Desktop entry

add_custom_command(OUTPUT io.sourceforge.pentobi.desktop
    COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" --desktop
    -d "${CMAKE_CURRENT_SOURCE_DIR}/po"
    --template "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.desktop.in"
    -o io.sourceforge.pentobi.desktop
    DEPENDS io.sourceforge.pentobi.desktop.in
    ${po_files} po/LINGUAS)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.desktop
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications")

# AppData

configure_file(io.sourceforge.pentobi.appdata.xml.in
    io.sourceforge.pentobi.appdata.xml @ONLY)
add_custom_command(OUTPUT io.sourceforge.pentobi.appdata.translated.xml
    COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" --xml
    -d "${CMAKE_CURRENT_SOURCE_DIR}/po"
    --template io.sourceforge.pentobi.appdata.xml
    -o io.sourceforge.pentobi.appdata.translated.xml
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.appdata.xml"
    ${po_files} po/LINGUAS
    )

install(
    FILES
    "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.appdata.translated.xml"
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/metainfo"
    RENAME io.sourceforge.pentobi.appdata.xml
    )

# Shared MIME info

# Use itstool until shared-mime-info includes its/loc files for gettext (see
# also https://gitlab.freedesktop.org/xdg/shared-mime-info/merge_requests/4)
add_custom_command(OUTPUT pentobi-mime.xml
    COMMAND "${ITSTOOL}"
    -j "${CMAKE_CURRENT_SOURCE_DIR}/pentobi-mime.xml.in"
    -o pentobi-mime.xml ${mo_files}
    DEPENDS pentobi-mime.xml.in ${mo_files} po/LINGUAS
    )
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-mime.xml"
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/mime/packages")

# Man page

set(man_files "pentobi.6")
foreach(lang ${linguas})
    list(APPEND man_files "${lang}/pentobi.6")
endforeach()

configure_file(pentobi-manpage.docbook.in pentobi-manpage.docbook @ONLY)
add_custom_command(OUTPUT pentobi.6
    COMMAND "${XSLTPROC}" --nonet --novalid --path "${DOCBOOKXSL_DIR}/manpages"
    "${CMAKE_CURRENT_SOURCE_DIR}/manpage.xsl" pentobi-manpage.docbook
    DEPENDS manpage.xsl "${CMAKE_CURRENT_BINARY_DIR}/pentobi-manpage.docbook"
    )
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi.6"
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man6")
foreach(lang ${linguas})
    add_custom_command(OUTPUT ${lang}/pentobi-manpage.docbook
        COMMAND ${CMAKE_COMMAND} -E make_directory ${lang}
        COMMAND "${ITSTOOL}" -l ${lang} -m ${lang}.mo
        -o ${lang}/pentobi-manpage.docbook
        -i "${CMAKE_CURRENT_SOURCE_DIR}/manpage.its"
        pentobi-manpage.docbook
        DEPENDS ${lang}.mo "${CMAKE_CURRENT_BINARY_DIR}/pentobi-manpage.docbook"
        )
    add_custom_command(OUTPUT ${lang}/pentobi.6
        COMMAND "${XSLTPROC}" --nonet --novalid
        --path "${DOCBOOKXSL_DIR}/manpages" -o ${lang}/
        "${CMAKE_CURRENT_SOURCE_DIR}/manpage.xsl"
        ${lang}/pentobi-manpage.docbook
        DEPENDS manpage.xsl ${lang}/pentobi-manpage.docbook
        )
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${lang}/pentobi.6"
        DESTINATION "${CMAKE_INSTALL_MANDIR}/${lang}/man6")
endforeach()

# Target

add_custom_target(pentobi-unix ALL DEPENDS
    io.sourceforge.pentobi.desktop
    io.sourceforge.pentobi.appdata.translated.xml
    pentobi-mime.xml
    pentobi-16.png
    pentobi-22.png
    pentobi-24.png
    pentobi-32.png
    pentobi-48.png
    pentobi-64.png
    pentobi-128.png
    pentobi-256.png
    application-x-blokus-sgf-16.png
    application-x-blokus-sgf-22.png
    application-x-blokus-sgf-24.png
    application-x-blokus-sgf-32.png
    application-x-blokus-sgf-48.png
    application-x-blokus-sgf-64.png
    application-x-blokus-sgf-128.png
    application-x-blokus-sgf-256.png
    ${man_files}
    )

=== debian/changelog ===
pentobi (22.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove unused dependency on libqt5svg5. (Closes: #1029258)
  * Drop pentobi-kde-thumbnailer package, as support has been
    removed upstream.
  * Switch (build-)dependencies to Qt6.
  * Drop d/pentobi-install, as we install everything from upstream.
  * Update copyrights.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 01 Feb 2023 20:47:52 +0100

=== debian/control ===
Source: pentobi
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Juhani Numminen <juhaninumminen0@gmail.com>
Build-Depends: appstream,
               cmake,
               debhelper-compat (= 13),
               docbook-xsl,
               gettext,
               itstool,
               librsvg2-bin,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://pentobi.sourceforge.io
Vcs-Git: https://salsa.debian.org/games-team/pentobi.git
Vcs-Browser: https://salsa.debian.org/games-team/pentobi

Package: pentobi
Architecture: any
Depends: qml6-module-qt-labs-folderlistmodel,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-settings,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends}
Description: clone of the strategy board game Blokus
 Pentobi is a strategy board game played on a square grid board using playing
 pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
 game is to place all of your pieces while trying to block your opponent from
 placing all of theirs.
 .
 The game ends when no one can place any more pieces and the winner is
 determined by calculating the score based on the points of any remaining
 playing pieces. Bonus points are added for playing every piece and additional
 bonus points are added if the monomino, the 1x1 square piece, is played last.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export QT_SELECT = qt5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Optimize with O3 to make the computationally expensive higher levels faster.
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  export DEB_CXXFLAGS_MAINT_APPEND = -O3
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_TESTING=ON \
		-DCMAKE_INSTALL_BINDIR=/usr/games \
		-DCMAKE_INSTALL_DATADIR=/usr/share/games

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://sf.net/@PACKAGE@/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## pentobi 23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,22 @@
 cmake_minimum_required(VERSION 3.19)
 
 project(pentobi CXX)
-set(PENTOBI_VERSION 22.1)
-set(PENTOBI_RELEASE_DATE 2023-01-31)
+set(PENTOBI_VERSION 23.1)
+set(PENTOBI_RELEASE_DATE 2023-03-12)
 
 include(GNUInstallDirs)
 
+option(PENTOBI_BUILD_GUI "Build GUI" ON)
+option(PENTOBI_BUILD_THUMBNAILER "Build thumbnailer for Gnome" ON)
 option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
-option(PENTOBI_BUILD_GUI "Build GUI" ON)
 option(BUILD_TESTING "Build tests" OFF)
-
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
   message(STATUS "No build type selected, default to Release")
   set(CMAKE_BUILD_TYPE Release CACHE STRING "" FORCE)
 endif()
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 if(BUILD_TESTING)
@@ -56,15 +55,14 @@
     find_package(Gettext 0.19.6 REQUIRED)
     find_program(ITSTOOL itstool REQUIRED)
     find_program(RSVG_CONVERT rsvg-convert REQUIRED)
-    if((UNIX AND NOT ANDROID))
-        find_package(DocBookXSL REQUIRED)
+    if(UNIX AND NOT ANDROID)
         find_program(XSLTPROC xsltproc REQUIRED)
     endif()
-    find_package(Qt6 6.2 REQUIRED
+    find_package(Qt6 6.4 REQUIRED
         COMPONENTS Concurrent LinguistTools QuickControls2)
     add_subdirectory(libpentobi_paint)
     add_subdirectory(pentobi)
-    if(UNIX AND NOT ANDROID)
+    if(PENTOBI_BUILD_THUMBNAILER AND UNIX AND NOT ANDROID)
         add_subdirectory(pentobi_thumbnailer)
     endif()
 endif()

=== libpentobi_paint/CMakeLists.txt ===
add_library(pentobi_paint STATIC
Paint.cpp
Paint.h
)

target_compile_definitions(pentobi_paint PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060400)

target_link_libraries(pentobi_paint pentobi_base Qt::Gui)

=== pentobi/CMakeLists.txt ===
--- 
+++ 
@@ -134,6 +134,7 @@
     SyncSettings.h
     "${CMAKE_CURRENT_BINARY_DIR}/translations.qrc"
     "${CMAKE_CURRENT_BINARY_DIR}/icons.qrc"
+    "${CMAKE_CURRENT_BINARY_DIR}/icons_desktop.qrc"
     "${CMAKE_CURRENT_BINARY_DIR}/help/help.qrc"
     ../opening_books/pentobi_books.qrc
     resources.qrc
@@ -149,23 +150,21 @@
     DEPENDS pentobi-help help/help.qrc
     )
 
+qt_add_executable(pentobi WIN32 ${pentobi_src})
+
 if(ANDROID)
-    qt_add_executable(pentobi ${pentobi_src})
     target_link_libraries(pentobi PRIVATE Qt::CorePrivate)
     set_property(TARGET pentobi APPEND PROPERTY
         QT_ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
+    set_property(TARGET pentobi APPEND PROPERTY
+        QT_ANDROID_TARGET_SDK_VERSION 31)
 else()
-    add_executable(pentobi WIN32
-        ${pentobi_src}
-        "${CMAKE_CURRENT_BINARY_DIR}/icons_desktop.qrc"
-        resources_desktop.qrc
-        )
     install(TARGETS pentobi)
 endif()
 
 target_compile_definitions(pentobi PRIVATE
     QT_DEPRECATED_WARNINGS
-    QT_DISABLE_DEPRECATED_BEFORE=0x060000
+    QT_DISABLE_DEPRECATED_BEFORE=0x060400
     QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
     VERSION="${PENTOBI_VERSION}"
     )

=== pentobi_thumbnailer/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 target_compile_definitions(pentobi-thumbnailer PRIVATE
     QT_DEPRECATED_WARNINGS
-    QT_DISABLE_DEPRECATED_BEFORE=0x060000
+    QT_DISABLE_DEPRECATED_BEFORE=0x060400
     VERSION="${PENTOBI_VERSION}"
     )
 
@@ -58,7 +58,7 @@
 configure_file(pentobi-thumbnailer-manpage.docbook.in
     pentobi-thumbnailer-manpage.docbook @ONLY)
 add_custom_command(OUTPUT pentobi-thumbnailer.6
-    COMMAND "${XSLTPROC}" --nonet --novalid --path "${DOCBOOKXSL_DIR}/manpages"
+    COMMAND "${XSLTPROC}" --nonet
     "${CMAKE_CURRENT_SOURCE_DIR}/../pentobi/unix/manpage.xsl"
     pentobi-thumbnailer-manpage.docbook
     DEPENDS
@@ -77,8 +77,7 @@
         DEPENDS ${lang}.mo "${CMAKE_CURRENT_BINARY_DIR}/pentobi-thumbnailer-manpage.docbook"
         )
     add_custom_command(OUTPUT ${lang}/pentobi-thumbnailer.6
-        COMMAND "${XSLTPROC}" --nonet --novalid
-        --path "${DOCBOOKXSL_DIR}/manpages" -o ${lang}/
+        COMMAND "${XSLTPROC}" --nonet -o ${lang}/
         "${CMAKE_CURRENT_SOURCE_DIR}/../pentobi/unix/manpage.xsl"
         ${lang}/pentobi-thumbnailer-manpage.docbook
         DEPENDS

=== libpentobi_base/tests/CMakeLists.txt ===
add_executable(test_libpentobi_base
  BoardConstTest.cpp
  BoardTest.cpp
  BoardUpdaterTest.cpp
  GameTest.cpp
  PentobiTreeTest.cpp
  PentobiSgfUtilTest.cpp
)

target_link_libraries(test_libpentobi_base
    boardgame_test_main
    pentobi_base
    )

add_test(libpentobi_base test_libpentobi_base)

=== pentobi/unix/CMakeLists.txt ===
--- 
+++ 
@@ -62,51 +62,61 @@
     RENAME pentobi.svg)
 
 foreach(sz 16 22 48 128)
-    add_custom_command(OUTPUT application-x-blokus-sgf-${sz}.png
+    add_custom_command(
+        OUTPUT io.sourceforge.pentobi.application-x-blokus-sgf-${sz}.png
         COMMAND "${RSVG_CONVERT}"
-        "${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-${sz}.svg"
-        > application-x-blokus-sgf-${sz}.png
-        DEPENDS application-x-blokus-sgf-${sz}.svg)
+        "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-${sz}.svg"
+        > io.sourceforge.pentobi.application-x-blokus-sgf-${sz}.png
+        DEPENDS io.sourceforge.pentobi.application-x-blokus-sgf-${sz}.svg)
     install(
-        FILES "${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-${sz}.png"
+        FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-${sz}.png"
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/${sz}x${sz}/mimetypes
-        RENAME application-x-blokus-sgf.png)
-endforeach()
-add_custom_command(OUTPUT application-x-blokus-sgf-24.png
-    COMMAND "${RSVG_CONVERT}" -z 0.5
-    "${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-48.svg"
-    > application-x-blokus-sgf-24.png
-    DEPENDS application-x-blokus-sgf-48.svg)
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-24.png"
+        RENAME io.sourceforge.pentobi.application-x-blokus-sgf.png)
+endforeach()
+add_custom_command(
+    OUTPUT io.sourceforge.pentobi.application-x-blokus-sgf-24.png
+    COMMAND "${RSVG_CONVERT}" -z 0.5
+    "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-48.svg"
+    > io.sourceforge.pentobi.application-x-blokus-sgf-24.png
+    DEPENDS io.sourceforge.pentobi.application-x-blokus-sgf-48.svg)
+install(
+    FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-24.png"
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/24x24/mimetypes
-    RENAME application-x-blokus-sgf.png)
-add_custom_command(OUTPUT application-x-blokus-sgf-32.png
+    RENAME io.sourceforge.pentobi.application-x-blokus-sgf.png)
+add_custom_command(
+    OUTPUT io.sourceforge.pentobi.application-x-blokus-sgf-32.png
     COMMAND "${RSVG_CONVERT}" -z 0.25
-    "${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-128.svg"
-    > application-x-blokus-sgf-32.png
-    DEPENDS application-x-blokus-sgf-128.svg)
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-32.png"
+    "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-128.svg"
+    > io.sourceforge.pentobi.application-x-blokus-sgf-32.png
+    DEPENDS io.sourceforge.pentobi.application-x-blokus-sgf-128.svg)
+install(
+    FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-32.png"
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/mimetypes
-    RENAME application-x-blokus-sgf.png)
-add_custom_command(OUTPUT application-x-blokus-sgf-64.png
-    COMMAND "${RSVG_CONVERT}" -z 0.5
-    "${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-128.svg"
-    > application-x-blokus-sgf-64.png
-    DEPENDS application-x-blokus-sgf-128.svg)
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-64.png"
+    RENAME io.sourceforge.pentobi.application-x-blokus-sgf.png)
+add_custom_command(
+    OUTPUT io.sourceforge.pentobi.application-x-blokus-sgf-64.png
+    COMMAND "${RSVG_CONVERT}" -z 0.5
+    "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-128.svg"
+    > io.sourceforge.pentobi.application-x-blokus-sgf-64.png
+    DEPENDS io.sourceforge.pentobi.application-x-blokus-sgf-128.svg)
+install(
+    FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-64.png"
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/mimetypes
-    RENAME application-x-blokus-sgf.png)
-add_custom_command(OUTPUT application-x-blokus-sgf-256.png
+    RENAME io.sourceforge.pentobi.application-x-blokus-sgf.png)
+add_custom_command(
+    OUTPUT io.sourceforge.pentobi.application-x-blokus-sgf-256.png
     COMMAND "${RSVG_CONVERT}" -z 2
-    "${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-128.svg"
-    > application-x-blokus-sgf-256.png
-    DEPENDS application-x-blokus-sgf-128.svg)
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-256.png"
+    "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-128.svg"
+    > io.sourceforge.pentobi.application-x-blokus-sgf-256.png
+    DEPENDS io.sourceforge.pentobi.application-x-blokus-sgf-128.svg)
+install(
+    FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-256.png"
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/mimetypes
-    RENAME application-x-blokus-sgf.png)
-install(FILES application-x-blokus-sgf-128.svg
+    RENAME io.sourceforge.pentobi.application-x-blokus-sgf.png)
+install(
+    FILES io.sourceforge.pentobi.application-x-blokus-sgf-128.svg
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/mimetypes
-    RENAME application-x-blokus-sgf.svg)
+    RENAME io.sourceforge.pentobi.application-x-blokus-sgf.svg)
 
 # Desktop entry
 
@@ -143,15 +153,13 @@
 
 # Shared MIME info
 
-# Use itstool until shared-mime-info includes its/loc files for gettext (see
-# also https://gitlab.freedesktop.org/xdg/shared-mime-info/merge_requests/4)
-add_custom_command(OUTPUT pentobi-mime.xml
+add_custom_command(OUTPUT io.sourceforge.pentobi.xml
     COMMAND "${ITSTOOL}"
-    -j "${CMAKE_CURRENT_SOURCE_DIR}/pentobi-mime.xml.in"
-    -o pentobi-mime.xml ${mo_files}
-    DEPENDS pentobi-mime.xml.in ${mo_files} po/LINGUAS
-    )
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-mime.xml"
+    -j "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.xml.in"
+    -o io.sourceforge.pentobi.xml ${mo_files}
+    DEPENDS io.sourceforge.pentobi.xml.in ${mo_files} po/LINGUAS
+    )
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.xml"
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/mime/packages")
 
 # Man page
@@ -163,7 +171,7 @@
 
 configure_file(pentobi-manpage.docbook.in pentobi-manpage.docbook @ONLY)
 add_custom_command(OUTPUT pentobi.6
-    COMMAND "${XSLTPROC}" --nonet --novalid --path "${DOCBOOKXSL_DIR}/manpages"
+    COMMAND "${XSLTPROC}" --nonet
     "${CMAKE_CURRENT_SOURCE_DIR}/manpage.xsl" pentobi-manpage.docbook
     DEPENDS manpage.xsl "${CMAKE_CURRENT_BINARY_DIR}/pentobi-manpage.docbook"
     )
@@ -179,8 +187,7 @@
         DEPENDS ${lang}.mo "${CMAKE_CURRENT_BINARY_DIR}/pentobi-manpage.docbook"
         )
     add_custom_command(OUTPUT ${lang}/pentobi.6
-        COMMAND "${XSLTPROC}" --nonet --novalid
-        --path "${DOCBOOKXSL_DIR}/manpages" -o ${lang}/
+        COMMAND "${XSLTPROC}" --nonet -o ${lang}/
         "${CMAKE_CURRENT_SOURCE_DIR}/manpage.xsl"
         ${lang}/pentobi-manpage.docbook
         DEPENDS manpage.xsl ${lang}/pentobi-manpage.docbook
@@ -192,9 +199,17 @@
 # Target
 
 add_custom_target(pentobi-unix ALL DEPENDS
+    io.sourceforge.pentobi.appdata.translated.xml
+    io.sourceforge.pentobi.application-x-blokus-sgf-16.png
+    io.sourceforge.pentobi.application-x-blokus-sgf-22.png
+    io.sourceforge.pentobi.application-x-blokus-sgf-24.png
+    io.sourceforge.pentobi.application-x-blokus-sgf-32.png
+    io.sourceforge.pentobi.application-x-blokus-sgf-48.png
+    io.sourceforge.pentobi.application-x-blokus-sgf-64.png
+    io.sourceforge.pentobi.application-x-blokus-sgf-128.png
+    io.sourceforge.pentobi.application-x-blokus-sgf-256.png
     io.sourceforge.pentobi.desktop
-    io.sourceforge.pentobi.appdata.translated.xml
-    pentobi-mime.xml
+    io.sourceforge.pentobi.xml
     pentobi-16.png
     pentobi-22.png
     pentobi-24.png
@@ -203,13 +218,5 @@
     pentobi-64.png
     pentobi-128.png
     pentobi-256.png
-    application-x-blokus-sgf-16.png
-    application-x-blokus-sgf-22.png
-    application-x-blokus-sgf-24.png
-    application-x-blokus-sgf-32.png
-    application-x-blokus-sgf-48.png
-    application-x-blokus-sgf-64.png
-    application-x-blokus-sgf-128.png
-    application-x-blokus-sgf-256.png
     ${man_files}
     )

=== debian/changelog ===
pentobi (23.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:09:54 +1100

pentobi (23.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:54:59 +0000

pentobi (23.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update (build) dependencies.
  * Make sure Qt6 is selected for building.
  * Update paths in d/copyright.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 25 Jun 2023 13:55:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pentobi
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Juhani Numminen <juhaninumminen0@gmail.com>
 Build-Depends: appstream,
                cmake,
@@ -10,7 +11,7 @@
                gettext,
                itstool,
                librsvg2-bin,
-               qt6-base-dev,
+               qt6-base-dev (>= 6.4),
                qt6-declarative-dev,
                qt6-tools-dev,
                xsltproc
@@ -22,11 +23,11 @@
 
 Package: pentobi
 Architecture: any
-Depends: qml6-module-qt-labs-folderlistmodel,
-         qml6-module-qt-labs-platform,
+Depends: qml6-module-qt-labs-platform,
          qml6-module-qt-labs-settings,
          qml6-module-qtqml-workerscript,
          qml6-module-qtquick-controls,
+         qml6-module-qtquick-dialogs,
          qml6-module-qtquick-layouts,
          qml6-module-qtquick-templates,
          qml6-module-qtquick-window,

## pentobi 25.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,17 @@
 cmake_minimum_required(VERSION 3.19)
 
 project(pentobi CXX)
-set(PENTOBI_VERSION 23.1)
-set(PENTOBI_RELEASE_DATE 2023-03-12)
+set(PENTOBI_VERSION 25.0)
 
 include(GNUInstallDirs)
 
 option(PENTOBI_BUILD_GUI "Build GUI" ON)
-option(PENTOBI_BUILD_THUMBNAILER "Build thumbnailer for Gnome" ON)
 option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
 option(BUILD_TESTING "Build tests" OFF)
 
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
   message(STATUS "No build type selected, default to Release")
-  set(CMAKE_BUILD_TYPE Release CACHE STRING "" FORCE)
+  set(CMAKE_BUILD_TYPE Release)
 endif()
 
 set(CMAKE_CXX_STANDARD 20)
@@ -50,19 +48,12 @@
     add_subdirectory(learn_tool)
 endif()
 if(PENTOBI_BUILD_GUI)
-    set(CMAKE_AUTOMOC ON)
-    set(CMAKE_AUTORCC ON)
     find_package(Gettext 0.19.6 REQUIRED)
     find_program(ITSTOOL itstool REQUIRED)
     find_program(RSVG_CONVERT rsvg-convert REQUIRED)
-    if(UNIX AND NOT ANDROID)
-        find_program(XSLTPROC xsltproc REQUIRED)
-    endif()
+    set(CMAKE_AUTORCC ON)
     find_package(Qt6 6.4 REQUIRED
         COMPONENTS Concurrent LinguistTools QuickControls2)
-    add_subdirectory(libpentobi_paint)
+    qt_standard_project_setup()
     add_subdirectory(pentobi)
-    if(PENTOBI_BUILD_THUMBNAILER AND UNIX AND NOT ANDROID)
-        add_subdirectory(pentobi_thumbnailer)
-    endif()
 endif()

=== debian/changelog ===
pentobi (25.0-1build1) oracular; urgency=medium

  * Rebuild against new no t64 renamed libqt6 libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:37:49 +0200

pentobi (25.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 25.0

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 May 2024 23:38:46 +0200

pentobi (24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.0
  * Sync dependencies according to INSTALL.md

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Apr 2024 17:29:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,17 @@
 Source: pentobi
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Juhani Numminen <juhaninumminen0@gmail.com>
 Build-Depends: appstream,
                cmake,
                debhelper-compat (= 13),
-               docbook-xsl,
                gettext,
                itstool,
                librsvg2-bin,
                qt6-base-dev (>= 6.4),
                qt6-declarative-dev,
                qt6-tools-dev,
-               xsltproc
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://pentobi.sourceforge.io
@@ -23,7 +20,7 @@
 
 Package: pentobi
 Architecture: any
-Depends: qml6-module-qt-labs-platform,
+Depends: qml6-module-qtcore,
          qml6-module-qt-labs-settings,
          qml6-module-qtqml-workerscript,
          qml6-module-qtquick-controls,

## pentobi 25.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.19)
 
 project(pentobi CXX)
-set(PENTOBI_VERSION 25.0)
+set(PENTOBI_VERSION 25.1)
 
 include(GNUInstallDirs)

=== debian/changelog ===
pentobi (25.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 25.1

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Oct 2024 12:28:03 +0200
